-- Testbed

local vector = require '.Res.Libs.Physics.Vector'
local ball  = require '.Res.Scripts.Ball'


local world = {}
local position = vector(100,300)
local velocity = vector(50,-40)
local acceleration = vector(0,9.81)
world.gravity = vector(0,1)
world.damping = vector(0.1,0)
world.ground = {x = 0, y = 400}

local image = love.graphics.newImage 'Res/Images/ball.png'
local myball = ball(position, velocity, acceleration, image)
myball.launched = true

function love.update(dt)
	world.dt = dt
	myball:update(world)
end


function love.draw()
	local fps = love.timer.getFPS()
	local invFPS = 1/fps
	myball:print(10,10,12)
	love.graphics.print('fps '..fps,10,50)
	love.graphics.print('1/fps '..invFPS,10,62)
	love.graphics.line(0,world.ground.y+20,800,world.ground.y+20)
	myball:draw()
end

